
ctools - Bug #1449

Solve or document problem occurring with obsolete parameter files after an upgrade

03/19/2015 04:17 PM - Knödlseder Jürgen

Status: Closed Start date: 03/19/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

After upgrading ctools, and in case that parameters changed, a use may encounter the following errors:

*** ERROR encounterted in the execution of ctobssim. Run aborted ...

*** ERROR in GApplicationPars::operator[](std::string&): Invalid argument. Parameter "maxrate" has not been found in parameter

 file.

Please specify a valid parameter name.

and

Traceback (most recent call last):

  File "<stdin>", line 1, in <module>

  File "/data0/gamma/bin/lib/python2.7/site-packages/gammalib/app.py", line 337, in __getitem__

    return _app.GApplication___getitem__(self, name)

RuntimeError: *** ERROR in GApplicationPars::operator[](std::string&): Invalid argument. Parameter "maxrate" has not been found in

 parameter file.

Please specify a valid parameter name.

Either make sure that any update will clean up the parameter files (for the moment this is only done upon initialising the package

using the init script) or document the problem at least under the Known Problems section (or the installation section).

History

#1 - 06/30/2015 11:05 AM - Knödlseder Jürgen

Put some information about the problem on the FAQ.

#2 - 06/30/2015 12:45 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

Information of this problem has been added to the FAQ.
